Index: lemon/min_cost_arborescence.h
===================================================================
--- lemon/min_cost_arborescence.h	(revision 522)
+++ lemon/min_cost_arborescence.h	(revision 606)
@@ -36,11 +36,11 @@
   ///
   /// Default traits class for MinCostArborescence class.
-  /// \param _Digraph Digraph type.
-  /// \param _CostMap Type of cost map.
-  template <class _Digraph, class _CostMap>
+  /// \param GR Digraph type.
+  /// \param CM Type of cost map.
+  template <class GR, class CM>
   struct MinCostArborescenceDefaultTraits{
 
     /// \brief The digraph type the algorithm runs on.
-    typedef _Digraph Digraph;
+    typedef GR Digraph;
 
     /// \brief The type of the map that stores the arc costs.
@@ -48,5 +48,5 @@
     /// The type of the map that stores the arc costs.
     /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
-    typedef _CostMap CostMap;
+    typedef CM CostMap;
 
     /// \brief The value type of the costs.
@@ -64,23 +64,23 @@
     typedef typename Digraph::template ArcMap<bool> ArborescenceMap;
 
-    /// \brief Instantiates a ArborescenceMap.
-    ///
-    /// This function instantiates a \ref ArborescenceMap.
+    /// \brief Instantiates a \c ArborescenceMap.
+    ///
+    /// This function instantiates a \c ArborescenceMap.
     /// \param digraph is the graph, to which we would like to
-    /// calculate the ArborescenceMap.
+    /// calculate the \c ArborescenceMap.
     static ArborescenceMap *createArborescenceMap(const Digraph &digraph){
       return new ArborescenceMap(digraph);
     }
 
-    /// \brief The type of the PredMap
-    ///
-    /// The type of the PredMap. It is a node map with an arc value type.
+    /// \brief The type of the \c PredMap
+    ///
+    /// The type of the \c PredMap. It is a node map with an arc value type.
     typedef typename Digraph::template NodeMap<typename Digraph::Arc> PredMap;
 
-    /// \brief Instantiates a PredMap.
-    ///
-    /// This function instantiates a \ref PredMap.
-    /// \param _digraph is the digraph, to which we would like to define the
-    /// PredMap.
+    /// \brief Instantiates a \c PredMap.
+    ///
+    /// This function instantiates a \c PredMap.
+    /// \param digraph The digraph to which we would like to define the
+    /// \c PredMap.
     static PredMap *createPredMap(const Digraph &digraph){
       return new PredMap(digraph);
@@ -99,31 +99,29 @@
   /// the minimum cost subgraph which are union of arborescences with the
   /// given sources and spans all the nodes which are reachable from the
-  /// sources. The time complexity of the algorithm is \f$ O(n^2+e) \f$.
+  /// sources. The time complexity of the algorithm is O(n<sup>2</sup>+e).
   ///
   /// The algorithm provides also an optimal dual solution, therefore
   /// the optimality of the solution can be checked.
   ///
-  /// \param _Digraph The digraph type the algorithm runs on. The default value
+  /// \param GR The digraph type the algorithm runs on. The default value
   /// is \ref ListDigraph.
-  /// \param _CostMap This read-only ArcMap determines the costs of the
+  /// \param CM This read-only ArcMap determines the costs of the
   /// arcs. It is read once for each arc, so the map may involve in
   /// relatively time consuming process to compute the arc cost if
   /// it is necessary. The default map type is \ref
   /// concepts::Digraph::ArcMap "Digraph::ArcMap<int>".
-  /// \param _Traits Traits class to set various data types used
+  /// \param TR Traits class to set various data types used
   /// by the algorithm. The default traits class is
   /// \ref MinCostArborescenceDefaultTraits
-  /// "MinCostArborescenceDefaultTraits<_Digraph, _CostMap>".  See \ref
+  /// "MinCostArborescenceDefaultTraits<GR, CM>".  See \ref
   /// MinCostArborescenceDefaultTraits for the documentation of a
   /// MinCostArborescence traits class.
-  ///
-  /// \author Balazs Dezso
 #ifndef DOXYGEN
-  template <typename _Digraph = ListDigraph,
-            typename _CostMap = typename _Digraph::template ArcMap<int>,
-            typename _Traits =
-            MinCostArborescenceDefaultTraits<_Digraph, _CostMap> >
+  template <typename GR = ListDigraph,
+            typename CM = typename GR::template ArcMap<int>,
+            typename TR =
+              MinCostArborescenceDefaultTraits<GR, CM> >
 #else
-  template <typename _Digraph, typename _CostMap, typedef _Traits>
+  template <typename GR, typename CM, typedef TR>
 #endif
   class MinCostArborescence {
@@ -131,5 +129,5 @@
 
     /// The traits.
-    typedef _Traits Traits;
+    typedef TR Traits;
     /// The type of the underlying digraph.
     typedef typename Traits::Digraph Digraph;
@@ -441,6 +439,6 @@
     /// \brief Constructor.
     ///
-    /// \param _digraph The digraph the algorithm will run on.
-    /// \param _cost The cost map used by the algorithm.
+    /// \param digraph The digraph the algorithm will run on.
+    /// \param cost The cost map used by the algorithm.
     MinCostArborescence(const Digraph& digraph, const CostMap& cost)
       : _digraph(&digraph), _cost(&cost), _pred(0), local_pred(false),
@@ -457,5 +455,5 @@
     ///
     /// Sets the arborescence map.
-    /// \return \c (*this)
+    /// \return <tt>(*this)</tt>
     MinCostArborescence& arborescenceMap(ArborescenceMap& m) {
       if (local_arborescence) {
@@ -470,5 +468,5 @@
     ///
     /// Sets the arborescence map.
-    /// \return \c (*this)
+    /// \return <tt>(*this)</tt>
     MinCostArborescence& predMap(PredMap& m) {
       if (local_pred) {
